GroovyMain (Groovy 2.4.10)
Date: 2017-03-14

groovy.ui

## Class GroovyMain

- java.lang.Object
- - groovy.ui.GroovyMain

-     public class GroovyMain
      extends Object

  A Command line to execute groovy.
  Version:
    $Revision$
  Author:
    Jeremy Rayner, Yuri Schimke, Roshan Dawrani

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyMain()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GroovyCodeSource` | `getScriptSource(boolean isScriptFile, String script)` Get a new GroovyCodeSource for a script which may be given as a location (isScript is true) or as text (isScript is false).
    `String` | `getText(String uriOrFilename)` Deprecated.
    `File` | `huntForTheScriptFile(String input)` Hunt for the script file by calling searchForGroovyScriptFile(String).
    `static void` | `main(String[] args)` Main CLI interface.
    `static File` | `searchForGroovyScriptFile(String input)` Search for the script file, doesn't bother if it is named precisely.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyMain

          public GroovyMain()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Main CLI interface.
      Parameters:
        `args` - all command line args.

    - #### getText

          @Deprecated
          public String getText(String uriOrFilename)
                                      throws IOException

      Deprecated.
      Get the text of the Groovy script at the given location. If the location is a file path and it does not exist as given, then `huntForTheScriptFile(String)` is called to try with some Groovy extensions appended. This method is not used to process scripts and is retained for backward compatibility. If you want to modify how GroovyMain processes scripts then use `getScriptSource(boolean, String)`.
      Parameters:
        `uriOrFilename` -
      Returns:
        the text content at the location
      Throws:
        `IOException`

    - #### getScriptSource

          protected GroovyCodeSource getScriptSource(boolean isScriptFile,
                                                     String script)
                                              throws IOException,
                                                     URISyntaxException

      Get a new GroovyCodeSource for a script which may be given as a location (isScript is true) or as text (isScript is false).
      Parameters:
        `isScriptFile` - indicates whether the script parameter is a location or content
        `script` - the location or context of the script
      Returns:
        a new GroovyCodeSource for the given script
      Throws:
        `IOException`
        `URISyntaxException`
      Since:
        2.3.0

    - #### searchForGroovyScriptFile

          public static File searchForGroovyScriptFile(String input)

      Search for the script file, doesn't bother if it is named precisely. Tries in this order: - actual supplied name - name.groovy - name.gvy - name.gy - name.gsh
      Since:
        2.3.0

    - #### huntForTheScriptFile

          public File huntForTheScriptFile(String input)

      Hunt for the script file by calling searchForGroovyScriptFile(String).
      See Also:
        `searchForGroovyScriptFile(String)`